package com.rjconsultores.ventaboletos.vo.impressaofiscal;

import java.math.BigDecimal;

public class ImportacionFiscalReducaoZVO {

	private String datamov;
	private String cnpj;
	private String numreducoes;
	private String crz;
	private String numserie20;
	private String coo;
	private String cro;
	private String cooinicial;
	private String coofinal;
	private BigDecimal vendabrutadiaria;
	private String datareducao;
	private String horareducao;
	private String aliquota;
	private BigDecimal imposto;
	private BigDecimal valorNaoTributado;
	private String numpdv;
	private BigDecimal gtFinal;
	private BigDecimal gtInicial;
	private BigDecimal valorNaoIncluido;
	private String status;
	private boolean inconsistente;

	public ImportacionFiscalReducaoZVO() {
	}

	public ImportacionFiscalReducaoZVO(ImportacionFiscalReducaoZVO item) {
		this.datamov = item.getDatamov();
		this.cnpj = item.getCnpj();
		this.numreducoes = item.getNumreducoes();
		this.crz = item.getCrz();
		this.numserie20 = item.getNumserie20();
		this.coo = item.getCoo();
		this.cro = item.getCro();
		this.cooinicial = item.getCooinicial();
		this.coofinal = item.getCoofinal();
		this.vendabrutadiaria = item.getVendabrutadiaria();
		this.datareducao = item.getDatareducao();
		this.horareducao = item.getHorareducao();
		this.aliquota = item.getAliquota();
		this.imposto = item.getImposto();
		this.valorNaoTributado = item.getValorNaoTributado();
		this.numpdv = item.getNumpdv();
		this.gtFinal = item.getGtFinal();
		this.gtInicial = item.getGtInicial();
		this.valorNaoIncluido = item.getValorNaoIncluido();
		this.status = item.getStatus();
	}

	public String getDatamov() {
		return datamov;
	}

	public void setDatamov(String datamov) {
		this.datamov = datamov;
	}

	public String getCnpj() {
		return cnpj;
	}

	public void setCnpj(String cnpj) {
		this.cnpj = cnpj;
	}

	public String getNumreducoes() {
		return numreducoes;
	}

	public void setNumreducoes(String numreducoes) {
		this.numreducoes = numreducoes;
	}

	public String getCrz() {
		return crz;
	}

	public void setCrz(String crz) {
		this.crz = crz;
	}

	public String getNumserie20() {
		return numserie20;
	}

	public void setNumserie20(String numserie20) {
		this.numserie20 = numserie20;
	}

	public String getCoo() {
		return coo;
	}

	public void setCoo(String coo) {
		this.coo = coo;
	}

	public String getCooinicial() {
		return cooinicial;
	}

	public void setCooinicial(String cooinicial) {
		this.cooinicial = cooinicial;
	}

	public String getCoofinal() {
		return coofinal;
	}

	public void setCoofinal(String coofinal) {
		this.coofinal = coofinal;
	}

	public BigDecimal getVendabrutadiaria() {
		return vendabrutadiaria;
	}

	public void setVendabrutadiaria(BigDecimal vendabrutadiaria) {
		this.vendabrutadiaria = vendabrutadiaria;
	}

	public String getDatareducao() {
		return datareducao;
	}

	public void setDatareducao(String datareducao) {
		this.datareducao = datareducao;
	}

	public String getHorareducao() {
		return horareducao;
	}

	public void setHorareducao(String horareducao) {
		this.horareducao = horareducao;
	}

	public String getAliquota() {
		return aliquota;
	}

	public void setAliquota(String aliquota) {
		this.aliquota = aliquota;
	}

	public BigDecimal getImposto() {
		return imposto;
	}

	public void setImposto(BigDecimal imposto) {
		this.imposto = imposto;
	}

	public BigDecimal getValorNaoTributado() {
		return valorNaoTributado;
	}

	public void setValorNaoTributado(BigDecimal valorNaoTributado) {
		this.valorNaoTributado = valorNaoTributado;
	}

	public String getNumpdv() {
		return numpdv;
	}

	public void setNumpdv(String numpdv) {
		this.numpdv = numpdv;
	}

	public BigDecimal getGtFinal() {
		return gtFinal;
	}

	public void setGtFinal(BigDecimal gtFinal) {
		this.gtFinal = gtFinal;
	}

	public BigDecimal getGtInicial() {
		return gtInicial;
	}

	public void setGtInicial(BigDecimal gtInicial) {
		this.gtInicial = gtInicial;
	}

	public BigDecimal getValorNaoIncluido() {
		return valorNaoIncluido;
	}

	public void setValorNaoIncluido(BigDecimal valorNaoIncluido) {
		this.valorNaoIncluido = valorNaoIncluido;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((coofinal == null) ? 0 : coofinal.hashCode());
		result = prime * result + ((cooinicial == null) ? 0 : cooinicial.hashCode());
		result = prime * result + ((datamov == null) ? 0 : datamov.hashCode());
		result = prime * result + ((datareducao == null) ? 0 : datareducao.hashCode());
		result = prime * result + ((numserie20 == null) ? 0 : numserie20.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ImportacionFiscalReducaoZVO other = (ImportacionFiscalReducaoZVO) obj;
		if (coofinal == null) {
			if (other.coofinal != null)
				return false;
		} else if (!coofinal.equals(other.coofinal))
			return false;
		if (cooinicial == null) {
			if (other.cooinicial != null)
				return false;
		} else if (!cooinicial.equals(other.cooinicial))
			return false;
		if (datamov == null) {
			if (other.datamov != null)
				return false;
		} else if (!datamov.equals(other.datamov))
			return false;
		if (datareducao == null) {
			if (other.datareducao != null)
				return false;
		} else if (!datareducao.equals(other.datareducao))
			return false;
		if (numserie20 == null) {
			if (other.numserie20 != null)
				return false;
		} else if (!numserie20.equals(other.numserie20))
			return false;
		return true;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public boolean isInconsistente() {
		return inconsistente;
	}

	public void setInconsistente(boolean inconsistente) {
		this.inconsistente = inconsistente;
	}

	public String getCro() {
		return cro;
	}

	public void setCro(String cro) {
		this.cro = cro;
	}

}
